Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.containers
Class TransientPicoContainer

    java.lang.Object
      org.picocontainer.DefaultPicoContainer
          org.picocontainer.containers.TransientPicoContainer

All Implemented Interfaces:
  Serializable, ComponentMonitorStrategy, Disposable, MutablePicoContainer, PicoContainer, Startable

    public class TransientPicoContainer

extends DefaultPicoContainer

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.picocontainer.DefaultPicoContainer
`componentFactory, componentMonitor, lifecycleStrategy, orderedComponentAdapters`

Constructor Summary
`TransientPicoContainer()`
`TransientPicoContainer(ComponentFactory componentFactory, PicoContainer parent)`
`TransientPicoContainer(PicoContainer parent)`

Method Summary

Methods inherited from class org.picocontainer.DefaultPicoContainer
`accept, addAdapter, addAdapter, addAdapterInternal, addChildContainer, addComponent, addComponent, addConfig, as, change, changeMonitor, currentMonitor, dispose, getComponent, getComponent, getComponent, getComponent, getComponent, getComponentAdapter, getComponentAdapter, getComponentAdapter, getComponentAdapters, getComponentAdapters, getComponentAdapters, getComponentKeyToAdapterCache, getComponents, getComponents, getModifiableComponentAdapterList, getOrderedComponentAdapters, getParent, makeChildContainer, removeChildContainer, removeComponent, removeComponentByInstance, setLifecycleState, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransientPicoContainer

    public TransientPicoContainer()

### TransientPicoContainer

    public TransientPicoContainer(PicoContainer parent)

### TransientPicoContainer

    public TransientPicoContainer(ComponentFactory componentFactory,
                                  PicoContainer parent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.